Subject: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 31 Dec 2021 12:43:05 -0800

On 12/31/21 19:55 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>>  How about we move `gnus-registry-install-hooks' and
>> `gnus-registry-install-shortcuts' into `gnus-registry-load', after the
>> actual loading, a la the attached patch?  Does this solve the problems
>> you're seeing?
>
> I can't tell whether your solution is appropriate but it indeed seems to
> fix my problem!  I'll leave your patch installed and report back should
> I see any downside.

Great, thanks. I can't imagine any downside, since the code is still
guaranteed to run, and the flag is set only if the initialization is
completed. Even if you weren't seeing erroneous behavior, I would still
think this was an appropriate refactor.

But yes, let's let it sit for a bit and see.